#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gawk
Version		:	5.3.0
Release		:	17.0.10.rel%{?dist}
Summary		:	The GNU version of the awk text processing utility
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/gawk/

Source0		:	%{name}-%{version}.tar.xz

Requires	:	mpfr
#-----------------------------------------------------------------------------
%description
The gawk package contains the GNU version of awk, a text processing
utility. Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README COPYING NEWS AUTHORS
%{_sysconfdir}/profile.d/%{name}.{sh,csh}
%{_bindir}/awk
%{_bindir}/gawk*
%{_includedir}/*.h
%{_libdir}/%{name}/*.so
%{_libexecdir}/awk/grcat
%{_libexecdir}/awk/pwcat
%{_infodir}/%{name}*.info.gz
%{_infodir}/pm-%{name}.info.gz
%{_infodir}/%{name}_*.gz
%{_defaultdocdir}/%{name}-%{version}/*.{eps,jpg,pdf,txt}
%{_datadir}/awk/*.awk
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3am.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -f %{buildroot}%{_infodir}/dir

#installing documentation
%{__mkdir_p}						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -a						\
	doc/{awkforai.txt,*.{eps,pdf,jpg}}		\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
